Skip to content

Prints a POS transaction receipt

Request

POST {{baseURL}}/pos-api/v1/pos-transactions/{{posTransactionId}}/print

This endpoint allows semi-integrated ISVs to trigger a physical reprint of a completed transaction receipt directly from the POS terminal.

It supports customer requests for duplicate receipts in-person, enabling a seamless merchant experience.

Security
Bearer
Path
posTransactionIdstring, (uuid)required

Indicates the POS transaction identifier.

Example:102ae6f7-8a9b-4c0d-1e2f-3a4b5c6d7
Bodyapplication/json

Print request payload must include required terminalId

terminalIdstring, (uuid)

Terminal ID from the terminal that will initiate and handle the transaction receipt print request. Terminal must be in the semi-integrated mode and available (online and ready).

curl -i -X POST \
  https://developer.flute.com/_mock/api-reference/pos-api/v1/pos-transactions/102ae6f7-8a9b-4c0d-1e2f-3a4b5c6d7/print \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "terminalId": "57e69e1b-2c00-4a26-b5e3-44617c6cc659"
  }'

Responses

OK

Response
No content